# react-native-color
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![npm downloads](https://img.shields.io/npm/dm/react-native-color.svg)](https://www.npmjs.com/package/react-native-color)
[![npm version](https://img.shields.io/npm/v/react-native-color.svg)](https://www.npmjs.com/package/react-native-color)

Color components for React Native.

JavaScript-only, iOS and Android tested.

## Example
- [Run the example app via expo.io](https://expo.io/@hectahertz/react-native-color-example).
- [Check the example app code](example/App.js).

## Components

### SlidersColorPicker
Based on a [Dribbble concept](https://dribbble.com/shots/3959594-Color-Picker-Concept?utm_source=Twitter_Shot) by [Satyajit Sahoo](https://twitter.com/satya164).
<p>
<img src="https://raw.githubusercontent.com/hectahertz/react-native-color/master/screenshots/sliderscolorpicker.gif">
</p>


<p>
<img src="https://raw.githubusercontent.com/hectahertz/react-native-color/master/screenshots/gradients.png">
</p>

<p>
<img src="https://raw.githubusercontent.com/hectahertz/react-native-color/master/screenshots/sliders.png">
</p>

## Installation

```sh
yarn add react-native-color
```

## Roadmap
- Make the color string editable
- Support different color modes for the return string of the pickers
- Support different color modes for the sliders of the <SliderPicker/>
- Gradient that mixes two colors
- Add documentation for the props
- Support for themes/render customizations
- Export separate components for a build-your-own philosophy
- Type with [Flow](https://flow.org/)
